using System.Text.Json;

namespace NSeguin.Dev.Web.Common.Data;

public class PersistedAppState
{
    public DateTime? LastSavedAt { get; set; }
    public DarkModeState? DarkMode { get; set; }

    public static PersistedAppState? FromJson(string json)
    {
        return JsonSerializer.Deserialize(
            json,
            PersistedAppStateSerializerContext.Default.PersistedAppState);
    }

    public string ToJson()
    {
        return JsonSerializer.Serialize(
            this,
            PersistedAppStateSerializerContext.Default.PersistedAppState);
    }
}
